aboutsummaryrefslogtreecommitdiff
path: root/package/qt/Config.in
diff options
context:
space:
mode:
authorGravatar Romain Naour <romain.naour@gmail.com>2017-05-06 15:54:20 +0200
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2017-05-07 22:09:17 +0200
commit519b96ad8726843cbae5be5b52cdeb395ca9c7e2 (patch)
treeae7c54dad2a673a333070f54a57632526106e1d6 /package/qt/Config.in
parentfb71372d5f59de5ae3eaece431fcfb007b264008 (diff)
downloadbuildroot-519b96ad8726843cbae5be5b52cdeb395ca9c7e2.tar.gz
buildroot-519b96ad8726843cbae5be5b52cdeb395ca9c7e2.tar.bz2
Revert "toolchain-external: CodeSourcery NiosII 2015.11 affected by PR19405"
An autobuilder exception has been added to avoid testing qt gui module with the CodeSourcery NiosII toolchain. This allow to remove the BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405 symbol. This reverts commit 5dce3c05b5ea38539f6ee6efc24c13db936260dc. Signed-off-by: Romain Naour <romain.naour@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/qt/Config.in')
-rw-r--r--package/qt/Config.in7
1 files changed, 0 insertions, 7 deletions
diff --git a/package/qt/Config.in b/package/qt/Config.in
index 5e9f89808b..fe0b0e9787 100644
--- a/package/qt/Config.in
+++ b/package/qt/Config.in
@@ -33,7 +33,6 @@ comment "Qt standard (X11) not available (need X.org)"
config BR2_PACKAGE_QT_X11
bool "Qt standard (X11)"
depends on BR2_PACKAGE_XORG7
- depends on !BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405 # Qt GUI module
select BR2_PACKAGE_FONTCONFIG
select BR2_PACKAGE_XLIB_LIBXI
select BR2_PACKAGE_XLIB_LIBX11
@@ -57,7 +56,6 @@ config BR2_PACKAGE_QT_DEBUG
config BR2_PACKAGE_QT_DEMOS
bool "Compile and install Qt demos (with code)"
- depends on !BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405 # Qt GUI module
select BR2_PACKAGE_QT_GUI_MODULE
help
If unsure, say N.
@@ -71,7 +69,6 @@ config BR2_PACKAGE_QT_TRANSLATION_FILES
config BR2_PACKAGE_QT_EXAMPLES
bool "Compile and install Qt examples (with code)"
- depends on !BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405 # Qt GUI module
select BR2_PACKAGE_QT_GUI_MODULE
help
If unsure, say N.
@@ -124,15 +121,11 @@ config BR2_PACKAGE_QT_QT3SUPPORT
config BR2_PACKAGE_QT_GUI_MODULE
bool "Gui Module"
default y
- depends on !BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405 # nios2 Binutils 2.25.1 bug
select BR2_PACKAGE_QT_NETWORK
help
Turns on support for Gui applications. If your board doesn't have
video output, or you don't require Qt GUI, say n.
-comment "Qt Gui Module needs a toolchain not affected by Binutils bug 19405"
- depends on BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405
-
if BR2_PACKAGE_QT_GUI_MODULE
if BR2_PACKAGE_QT_EMBEDDED